Name:           kokovp
Version:        1.1.0
Release:        0%{?dist}.2sunshine
Summary:        Modern video player based on libmpv and Qt

License:        GPL-2.0-or-later
URL:            https://github.com/brainrom/kokovp
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-use-of-qDebug.patch

BuildRequires:  cmake >= 3.5
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(mpv)

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
KokoVP is a video player (mpv frontend). The project's starting point, is to
reimplement SMPlayer's functionality from scratch, using modular
architecture and modern technologies, sacrifying side functions.

%prep
%setup -q
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}/applications/
install -p -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jun 05 2025 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.0-0.2sunshine
- add a patch for use of QDebug on F42+

* Sun Sep 15 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.0-0.1sunshine
- initial package
